List webhook registrations
curl --request GET \
--url https://api.spenza.com/api/v1.1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spenza.com/api/v1.1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spenza.com/api/v1.1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "wh_69146d70ed68",
"operator": "SpenzaJ",
"network": "T-Mobile",
"eventType": "sms",
"status": "active",
"authentication": {
"type": "bearer",
"token": "***ENCRYPTED***"
},
"webhookUrls": {
"messageUrl": "https://partner.example.com/hooks/sms"
},
"retryPolicy": {
"maxAttempts": 5,
"backoffStrategy": "exponential",
"initialDelaySeconds": 5,
"maxDelaySeconds": 300
},
"createdAt": "2026-07-10T10:00:00.000Z",
"updatedAt": "2026-07-10T10:00:00.000Z"
}
],
"meta": {
"page": 1,
"pageSize": 25,
"total": 1,
"totalPages": 1
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "One or more fields failed validation.",
"details": {
"validationErrors": [
"eventType must be one of the following values: sms, voice, both"
]
}
}
}Webhooks
List webhook registrations
List webhook registrations, paginated in memory.
GET
/
api
/
v1.1
/
webhooks
List webhook registrations
Authorizations
Bearer token obtained from POST /api/v1.1/auth/token.
Query Parameters
1-indexed page number.
Required range:
x >= 1Items per page.
Required range:
1 <= x <= 100Available options:
sms, voice, both Available options:
active, inactive, suspended Response
Registrations (never includes signingSecret).
⌘I

